<h1>Pokemon Details</h1>
<mat-card *ngIf="pokemon">
  <mat-card-header>
    <mat-card-title>
      Name: {{pokemon.name}} </mat-card-title>
  </mat-card-header>
  <mat-card-content>
    <img [src]="pokemon.image" [alt]="pokemon.name">
    <p>height: {{pokemon.height}}</p>
    <p>weight: {{pokemon.weight}}</p>
    <p>experience: {{pokemon.base_experience}}</p>
    Types:
    <ul>
      <li *ngFor="let type of pokemon.types">
        {{type.type.name}}
      </li>
    </ul>
    Stats:
    <ul>
      <li *ngFor="let stat of pokemon.stats">
        {{stat.stat.name}}:
        {{stat.base_stat}}
      </li>
    </ul>
    Abilities:
    <ul>
      <li *ngFor="let ability of pokemon.abilities">
        {{ability.ability.name}}
      </li>
    </ul>

    Moves:
    <ul>
      <li *ngFor="let move of pokemon.moves">
        {{move.move.name}}
      </li>
    </ul>

  </mat-card-content>
</mat-card>

